#pragma once
#include <map>
struct M_ActivityDBFCollectingCFGData
{
	//任务ID
	int mID;
	//集齐类型
	int mCollectingType;
	//集齐奖励
	std::vector<int> mCollectingReward;
	//集齐奖励数量
	std::vector<int> mCollectingQuantity;
};

class M_ActivityDBFCollectingCFG
{
public:
private:
	static std::auto_ptr<M_ActivityDBFCollectingCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityDBFCollectingCFGData* GetData(int ID);
	const std::map<int, M_ActivityDBFCollectingCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityDBFCollectingCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityDBFCollectingCFGData> mMapData;
};
